/**
 * 1ere partie: amélioration pour écran à faible contraste
 */
body {
    background-color: #e6e6e6;
}

.table-striped > tbody > tr:nth-of-type(2n+1) {
    background-color: #e7e7e7;
}
table.table tbody tr:hover {
    background-color: #dadada;
}
table.table tbody tr.danger.active:hover {
    background: repeating-linear-gradient(
            -45deg,
            #e0cece,
            #e0cece 15px,
            #d2bebe 15px,
            #d2bebe 30px
    );
}
table.table tbody tr.info.active:hover {
    background: repeating-linear-gradient(
            -45deg,
            #cadce6,
            #cadce6 15px,
            #b4c6cf 15px,
            #b4c6cf 30px
    );
}
table.table tbody tr.warning.active:hover {
    background: repeating-linear-gradient(
            -45deg,
            #ebe6d3,
            #ebe6d3 15px,
            #d4d0bc 15px,
            #d4d0bc 30px
    );
}
table.table tbody tr.success.active:hover {
    background: repeating-linear-gradient(
            -45deg,
            #cddbc8,
            #cddbc8 15px,
            #b8c7b1 15px,
            #b8c7b1 30px
    );
}
.table-striped > tbody > tr.active:nth-of-type(odd) {
    background: repeating-linear-gradient(
            -45deg,
            #e0e0e0,
            #e0e0e0 15px,
            #c6c6c6 15px,
            #c6c6c6 30px
    );
}
.table-striped > tbody > tr.active:nth-of-type(even) {
    background: repeating-linear-gradient(
            -45deg,
            #fff,
            #fff 15px,
            #dedede 15px,
            #dedede 30px
    );
}
.table-striped > tbody > tr.active:hover {
    background: repeating-linear-gradient(
            -45deg,
            #eee,
            #eee 15px,
            #d6d6d6 15px,
            #d6d6d6 30px
    );
}
table.table tbody tr.danger.active {
    background: repeating-linear-gradient(
            -45deg,
            #f2dede,
            #f2dede 15px,
            #d4c3c3 15px,
            #d4c3c3 30px
    );
}
table.table tbody tr.info.active {
    background: repeating-linear-gradient(
            -45deg,
            #d9edf7,
            #d9edf7 15px,
            #bcced6 15px,
            #bcced6 30px
    );
}
table.table tbody tr.warning.active {
    background: repeating-linear-gradient(
            -45deg,
            #fcf8e3,
            #fcf8e3 15px,
            #dbd7c5 15px,
            #dbd7c5 30px
    );
}
table.table tbody tr.success.active {
    background: repeating-linear-gradient(
            -45deg,
            #dff0d8,
            #dff0d8 15px,
            #bfccba 15px,
            #bfccba 30px
    );
}
table.table tbody tr.active:hover {
    background-color: #9cbab6;
}

small.text-muted {
    color: #595959;
}

h1, h2, h3, p, .h1, .h2, .h3, div.cake-debug-output, div.cake-debug-output:before, section.bg-white, div.vignette {
    color: #3f3f3f;
}

.btn.active, .btn:active {
    -webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,.25);
    box-shadow: inset 0 3px 5px rgba(0,0,0,.25);
}

div.drop-zone {
    background-color: #e6e6e6;
}

.close {
    filter: alpha(opacity=40);
    opacity: .4;
}
/**
 * Fin 1ere partie
 *
 * 2e Partie : amélioration du ratio de contraste entre background et foreground
 */
a.btn {
    color: inherit;
}
.btn.active, .btn:active {
    -webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
    box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
}
.btn.active:hover,
.btn.active:focus,
.btn:active:hover,
.btn:active:focus
{
    -webkit-box-shadow: inset 0 3px 5px rgba(0, 0, 0, .25);
    box-shadow: inset 0 3px 5px rgba(0, 0, 0, .25);
}

.btn-success,
.ui-widget-content a.btn-success
{
    color: #316232;
    background: #b1deb1;
    border-color: #5ea25e;
}
.btn-success:hover,
.btn-success:focus,
.btn-success.active,
.btn-success:active,
.ui-widget-content a.btn-success:hover,
.ui-widget-content a.btn-success:focus,
.ui-widget-content a.btn-success.active,
.ui-widget-content a.btn-success:active
{
    color: #274d28;
    background: #9fcb9f;
    border-color: #4e894e;
}
.btn-success.active:hover,
.btn-success.active:focus,
.btn-success:active:hover,
.btn-success:active:focus,
.ui-widget-content a.btn-success.active:hover,
.ui-widget-content a.btn-success.active:focus,
.ui-widget-content a.btn-success:active:hover,
.ui-widget-content a.btn-success:active:focus
{
    color: #274d28;
    background: #a6d4a6;
    border-color: #457645;
}

.btn-info,
.ui-widget-content a.btn-info
{
    color: #155569;
    background: #8ed3e8;
    border-color: #4abadc;
}
.btn-info:hover,
.btn-info:focus,
.btn-info.active,
.btn-info:active,
.ui-widget-content a.btn-info:hover,
.ui-widget-content a.btn-info:focus,
.ui-widget-content a.btn-info.active,
.ui-widget-content a.btn-info:active
{
    color: #104352;
    background: #80bfd2;
    border-color: #3d98b4;
}
.btn-info.active:hover,
.btn-info.active:focus,
.btn-info:active:hover,
.btn-info:active:focus,
.ui-widget-content a.btn-info.active:hover,
.ui-widget-content a.btn-info.active:focus,
.ui-widget-content a.btn-info:active:hover,
.ui-widget-content a.btn-info:active:focus
{
    color: #104352;
    background: #72c8e2;
    border-color: #30b1d8;
}

.btn-danger,
.ui-widget-content a.btn-danger
{
    color: #471b1b;
    background: #e48683;
    border-color: #b92c28;
}
.btn-danger:hover,
.btn-danger:focus,
.btn-danger.active,
.btn-danger:active,
.ui-widget-content a.btn-danger:hover,
.ui-widget-content a.btn-danger:focus,
.ui-widget-content a.btn-danger.active,
.ui-widget-content a.btn-danger:active
{
    color: #331313;
    background: #cc7875;
    border-color: #9d2622;
}
.btn-danger.active:hover,
.btn-danger.active:focus,
.btn-danger:active:hover,
.btn-danger:active:focus,
.ui-widget-content a.btn-danger.active:hover,
.ui-widget-content a.btn-danger.active:focus,
.ui-widget-content a.btn-danger:active:hover,
.ui-widget-content a.btn-danger:active:focus
{
    color: #331313;
    background: #bf706e;
    border-color: #922320;
}

.btn-warning,
.ui-widget-content a.btn-warning
{
    color: #4b3716;
    background: #f0ad4e;
    border-color: #e38d13;
}
.btn-warning:hover,
.btn-warning:focus,
.btn-warning.active,
.btn-warning:active,
.ui-widget-content a.btn-warning:hover,
.ui-widget-content a.btn-warning:focus,
.ui-widget-content a.btn-warning.active,
.ui-widget-content a.btn-warning:active
{
    color: #382910;
    background: #d39845;
    border-color: #ca7d11;
}
.btn-warning.active:hover,
.btn-warning.active:focus,
.btn-warning:active:hover,
.btn-warning:active:focus,
.ui-widget-content a.btn-warning.active:hover,
.ui-widget-content a.btn-warning.active:focus,
.ui-widget-content a.btn-warning:active:hover,
.ui-widget-content a.btn-warning:active:focus
{
    color: #382910;
    background: #c08a3f;
    border-color: #b5700f;
}

.btn-primary,
.btn.btn-primary,
.ui-widget-content a.btn-primary
{
    color: #16324b;
    background: #76afe1;
    border-color: #2d6aa0;
}
.btn-primary:hover,
.btn-primary:focus,
.btn-primary.active,
.btn-primary:active,
.btn.btn-primary:hover,
.btn.btn-primary:focus,
.btn.btn-primary.active,
.btn.btn-primary:active,
.ui-widget-content a.btn-primary:hover,
.ui-widget-content a.btn-primary:focus,
.ui-widget-content a.btn-primary.active,
.ui-widget-content a.btn-primary:active
{
    color: #112639;
    background: #6392bd;
    border-color: #275c8b;
}
.btn-primary.active:hover,
.btn-primary.active:focus,
.btn-primary:active:hover,
.btn-primary:active:focus,
.btn.btn-primary.active:hover,
.btn.btn-primary.active:focus,
.btn.btn-primary:active:hover,
.btn.btn-primary:active:focus,
.ui-widget-content a.btn-primary.active:hover,
.ui-widget-content a.btn-primary.active:focus,
.ui-widget-content a.btn-primary:active:hover,
.ui-widget-content a.btn-primary:active:focus
{
    color: #112639;
    background: #6d91b2;
    border-color: #22517a;
}

h1 small,
h2 small,
h3 small,
h4 small,
h5 small,
h6 small,
.h1 small,
.h2 small,
.h3 small,
.h4 small,
.h5 small,
.h6 small,
h1 .small,
h2 .small,
h3 .small,
h4 .small,
h5 .small,
h6 .small,
.h1 .small,
.h2 .small,
.h3 .small,
.h4 .small,
.h5 .small,
.h6 .small,
.text-muted,
blockquote footer,
blockquote small,
blockquote .small,
caption,
.btn-link[disabled]:hover,
fieldset[disabled] .btn-link:hover,
.btn-link[disabled]:focus,
fieldset[disabled] .btn-link:focus,
.dropdown-menu > .disabled > a,
.dropdown-menu > .disabled > a:hover,
.dropdown-menu > .disabled > a:focus,
.dropdown-header,
.nav > li.disabled > a,
.nav > li.disabled > a:hover,
.nav > li.disabled > a:focus,
.navbar-default .navbar-brand,
.navbar-default .navbar-text,
.navbar-default .navbar-nav > li > a,
.navbar-default .navbar-nav .open .dropdown-menu > li > a,
.navbar-default .navbar-link,
.navbar-default .btn-link,
.breadcrumb > .active,
.pagination > .disabled > span,
.pagination > .disabled > span:hover,
.pagination > .disabled > span:focus,
.pagination > .disabled > a,
.pagination > .disabled > a:hover,
.pagination > .disabled > a:focus,
.pager .disabled > a,
.pager .disabled > a:hover,
.pager .disabled > a:focus,
.pager .disabled > span,
.label-default,
.list-group-item.disabled,
.list-group-item.disabled:hover,
.list-group-item.disabled:focus,
.list-group-item.disabled .list-group-item-text,
.list-group-item.disabled:hover .list-group-item-text,
.list-group-item.disabled:focus .list-group-item-text
{
    color: #686868;
}

/* Evite les alertes sur contraste pour du texte invisible */
.sr-only {
    color: #000000;
    background-color: #ffffff;
}

.chosen-container-single .chosen-default,
.chosen-container-multi .chosen-choices li.search-field input[type="text"] {
    color: #6c6c6c;
}

pre a {
    color: #2d699e;
}

.select2-container--default .select2-selection--single .select2-selection__placeholder,
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: #666;
}

.text-info {
    color: #296898 !important;
}
.text-success {
    color: #1a7a29 !important;
}
.text-warning {
    color: #727009 !important;
}

.help-block {
    color: #303030;
}
